$ErrorActionPreference = 'Stop';

$packageName= 'nteract'
$url        = 'https://github.com/nteract/nteract/releases/download/v0.9.1/nteract-setup-0.9.1.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'nteract*'

  checksum      = '3ccc4ecac01457e9196a201cf7cb7ae4dd9d2aba9de73bcc857500cbce7e7c13'
  checksumType  = 'sha256'

  silentArgs   = '/S' # NSIS
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs

# Install ipykernel to get started directly
# try {
#   Start-ChocolateyProcessAsAdmin "&python -m pip install ipykernel"
#   Start-ChocolateyProcessAsAdmin "&python -m ipykernel install --user"    
# } catch {}
